Skip to main content
POST
Create an expense

Authorizations

x-api-key
string
header
required

Org-issued integration API key (service account credential). The plaintext secret is shown once at creation.

Headers

X-Idempotency-Key
string
required

Stable caller-chosen key (max 200 chars) making the mutation safely retryable.

Maximum string length: 200

Path Parameters

caseId
string
required

Case id

Query Parameters

organizationId
string<uuid>

Select one organization for this request. Defaults to the key organization. An HQ key may select an active descendant when its active acting attorney has the required HQ and resource permissions. Repeat the same organizationId on related mutations, upload completion, detail requests, and every cursor page. See /authorization.

Body

application/json
amountCents
integer
required
Required range: x <= 100000000000
category
enum<string>
required
Available options:
Court,
Expert,
Investigation,
Deposition,
Mediation,
Record Request,
Trial,
Misc
description
string
required
Required string length: 1 - 2000
dateCharged
string
required
reimbursable
boolean
required
paidBy
enum<string>
default:Not decided
Available options:
Not decided,
Firm by cash,
Firm by debit,
Firm by LoC,
Client,
Vendor Advance
paymentTiming
enum<string>
Available options:
now,
at_settlement
linkedSettlement
boolean
vendorContactId
string
Required string length: 1 - 200
receiptDocumentId
string
Required string length: 1 - 200
notes
string
Maximum string length: 5000

Response

{ success: true, expense }

success
boolean
required
{key}
any